preboard_client_free
preboard_client_new
preboard_client_start_service
preboard_client_t
preboard_commit_stashbag
preboard_create_stashbag
preboard_error_t
preboard_receive
preboard_receive_with_timeout
preboard_send
PREBOARD_SERVICE_NAME
preboard_status_cb_t

## preboard_commit_stashbag()

LIBIMOBILEDEVICE_API preboard_error_t preboard_commit_stashbag | ( | preboard_client_t | client,
|  | plist_t | manifest,
|  | preboard_status_cb_t | status_cb,
|  | void * | user_data )

Instructs the preboard service to commit a previously created stashbag.

Parameters

  client | The preboard client to use for receiving
  manifest | An optional manifest
  status_cb | Callback function that will receive status and error messages Can be NULL if you want to handle receiving messages in your own code.
  user_data | User data for callback function or NULL.

The callback or following preboard_receive* invocations will usually receive a dictionary with: { StashbagCommitComplete: true } or in case of an error: { StashbagCommitComplete: 0, Error: 1, <optional> ErrorString: <error string> }

Returns
  PREBOARD_E_SUCCESS if the command was successfully submitted, PREBOARD_E_INVALID_ARG when client is invalid, or a PREBOARD_E_* error code on error.